#version 330 core
in vec2 ourTexCoord;
out vec4 fragColor;
uniform sampler2D ourTexture1;
uniform sampler2D ourTexture2;
uniform float mixCount;
void main() {
    fragColor = mix(texture(ourTexture1, ourTexCoord), texture(ourTexture2, vec2(-ourTexCoord.x, ourTexCoord.y)), mixCount);
}